use std::collections::HashMap;

use serde::{Deserialize, Serialize};

use crate::{identifier::Identifier, text_component::TextComponent};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct TrimMaterial {
    pub asset_name: String,
    pub description: TextComponent,
    pub ingredient: Identifier,
    pub override_armor_assets: Option<HashMap<Identifier, String>>,
    // NOTE: Wiki says item_model_index exists as option, but can't find it in the vanilla pack
}
